Package be.e_contract.ejsf.component.output

# Class OutputCertificateComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIOutput
be.e_contract.ejsf.component.output.OutputCertificateComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.ValueHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class OutputCertificateComponent extends javax.faces.component.UIOutput implements javax.faces.component.NamingContainer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIOutput

`COMPONENT_FAMILY`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`OutputCertificateComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthorityKeyIdentifier()`
`byte[]`
`getCertificateData()`
`long`
`getDaysLeft()`
`String`
`getFamily()`
`org.primefaces.model.StreamedContent`
`getFile()`
`String`
`getIssuerDN()`
`int`
`getKeySize()`
`javax.faces.component.UIOutput`
`getNotAfter()`
`String`
`getNotAfterStyle()`
`Date`
`getNotAfterValue()`
`javax.faces.component.UIOutput`
`getNotBefore()`
`String`
`getNotBeforeStyle()`
`Date`
`getNotBeforeValue()`
`String`
`getPublicKeyAlgorithm()`
`String`
`getSerialNumber()`
`String`
`getSubjectDN()`
`String`
`getSubjectKeyIdentifier()`
`void`
`processEvent(javax.faces.event.ComponentSystemEvent event)`
`void`
`setNotAfter(javax.faces.component.UIOutput notAfter)`
`void`
`setNotBefore(javax.faces.component.UIOutput notBefore)`

### Methods inherited from class javax.faces.component.UIOutput

`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### OutputCertificateComponent

public OutputCertificateComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIOutput`

### getNotBefore

public javax.faces.component.UIOutput getNotBefore()

### setNotBefore

public void setNotBefore(javax.faces.component.UIOutput notBefore)

### getNotAfter

public javax.faces.component.UIOutput getNotAfter()

### setNotAfter

public void setNotAfter(javax.faces.component.UIOutput notAfter)

### getCertificateData

public byte[] getCertificateData()

### getNotBeforeStyle

public String getNotBeforeStyle()

### getNotAfterStyle

public String getNotAfterStyle()

### getFile

public org.primefaces.model.StreamedContent getFile()

### getKeySize

public int getKeySize()

### getDaysLeft

public long getDaysLeft()

### getSerialNumber

public String getSerialNumber()

### getSubjectDN

public String getSubjectDN()

### getIssuerDN

public String getIssuerDN()

### getNotBeforeValue

public Date getNotBeforeValue()

### getNotAfterValue

public Date getNotAfterValue()

### getPublicKeyAlgorithm

public String getPublicKeyAlgorithm()

### getAuthorityKeyIdentifier

public String getAuthorityKeyIdentifier()

### getSubjectKeyIdentifier

public String getSubjectKeyIdentifier()

### processEvent

public void processEvent(javax.faces.event.ComponentSystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
Overrides:
  `processEvent` in class `javax.faces.component.UIComponent`
Throws:
  `javax.faces.event.AbortProcessingException`